Skip to main content
PUT
/
api
/
v1
/
agent-traces
/
sessions
/
{session_id}
Upload Session
curl --request PUT \
  --url https://api.primeintellect.ai/api/v1/agent-traces/sessions/{session_id} \
  --header 'Authorization: Bearer <token>'
{
  "session_id": "<string>",
  "trace_id": "<string>",
  "bytes_stored": 123,
  "key": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-trace-id
string
default:""

Root session id in the recursion tree.

x-parent-session
string | null

Parent session id if this is a sub-agent session.

x-cwd
string | null

Working directory the agent was launched from.

x-agent-version
string | null

prime-agent version string.

Path Parameters

session_id
string
required

Response

Successful Response

session_id
string
required
trace_id
string
required
bytes_stored
integer
required
key
string
required

R2 object key the session was written to